API messages and error responses not in English
Status: Closed   

Priority: Normal   

Assignee: Joseph Magen   

Category: API   

Target version: 1.4.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

The error responses from the API are often shown in languages other than English, seemingly random.  For example:

Started POST "/api/smart_proxies" for 10.35.160.133 at 2013-12-05

17:01:27 +0200

Processing by Api::V1::SmartProxiesController#create as JSON

   Parameters:

{"smart_proxy"=>{"url"=>"https://example.redhat.com:9090",

"name"=>"example.redhat.com"}}

Authorized user admin(Admin User)

Unprocessable entity SmartProxy (id: new):

   No ha sido posible establecer una comunicación con el proxy:

SSL_connect returned=1 errno=0 state=SSLv3 read server certificate B:

certificate verify failed

   Por favor, comprueba que el proxy está configurado y ejecutándose en

el equipo

 I suspect we're not initialising the current locale correctly in the API controllers, while we do in the UI controllers based on the user.

(https://bugzilla.redhat.com/show_bug.cgi?id=1039011)

Related issues:

Related to Foreman - Bug #6824: Internationalization does not work when setti... Rejected 07/29/2014

Associated revisions

Revision 5a864bed - 01/21/2014 03:15 PM - Joseph Magen

fixes #3828 - set language locale for API messages and error responses

Revision b0ced502 - 01/23/2014 11:31 AM - Joseph Magen

fixes #3828 - set language locale for API messages and error responses

(cherry picked from commit 5a864bedb5d9bbbb68788169aa0f0396a312ac16)

History

#1 - 01/09/2014 02:38 PM - Dominic Cleal

- Target version set to 1.9.2

#2 - 01/20/2014 08:46 AM - Joseph Magen

- Status changed from New to Assigned

- Assignee set to Joseph Magen

#3 - 01/20/2014 09:01 AM - Joseph Magen

- Status changed from Assigned to Ready For Testing
https://github.com/theforeman/foreman/pull/1172

#4 - 01/21/2014 03:15 PM - Dominic Cleal

- translation missing: en.field_release set to 2

#5 - 01/21/2014 05:31 PM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 5a864bedb5d9bbbb68788169aa0f0396a312ac16.

#6 - 07/30/2014 12:03 PM - Lukas Zapletal

- Related to Bug #6824: Internationalization does not work when setting the preferences to use the Browser locale added
